Package Details: asoundconf 1:1.2-1

Git Clone URL: https://aur.archlinux.org/asoundconf.git (read-only)
Package Base: asoundconf
Description: Get and set configuration parameters in ~/.asoundrc.asoundconf
Upstream URL: https://bitbucket.org/stativ/asoundconf
Licenses: GPL
Submitter: None
Maintainer: stativ
Last Packager: stativ
Votes: 142
Popularity: 2.606336
First Submitted: 2009-01-23 14:49
Last Updated: 2015-06-13 15:21

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

test0 commented on 2015-04-18 08:40

Would you merge https://bitbucket.org/stativ/asoundconf/pull-requests ?

simon25 commented on 2015-02-17 03:43

Need to make 'pygtk' a dependency.

fabianorosas commented on 2014-12-16 23:46

Thank you, this is dignifying.

nem commented on 2013-08-29 18:20

this should come with alsa, imho.

stativ commented on 2011-07-26 07:05

Fixed.

Anonymous comment on 2011-07-22 02:32

staviv: The .Desktop contains a bad link. I just removed it and the hash from the file and it worked fine.

stativ commented on 2011-06-10 15:11

Harvie: OK, I added asoundconf-gtk back to the package

Harvie commented on 2011-06-07 15:49

i miss asoundconf-gtk :-( can you please add it to package again?

stativ commented on 2011-06-05 19:06

yvonney: thank you, fixed.

yvonney commented on 2011-06-05 18:31

asoundconf reset-default-card

Traceback (most recent call last):
File "/usr/bin/asoundconf", line 442, in <module>
exit_code(reset_default_card())
File "/usr/bin/asoundconf", line 361, in reset_default_card
sep = re.compile(r'[ \]')
File "/usr/lib/python2.7/re.py", line 190, in compile
return _compile(pattern, flags)
File "/usr/lib/python2.7/re.py", line 245, in _compile
raise error, v # invalid expression
sre_constants.error: unexpected end of regular expression

stativ commented on 2011-06-02 09:41

Adopted and updated.

* updated to work with the python -> python2 transition
* updated to handle tabs and other white chars in the default ALSA config

Harvie commented on 2011-05-09 17:48

Hi. I've made script to set volume of all cards using single command:
https://github.com/Harvie/Programs/blob/master/bash/allmixer.sh
Hope this will help. If you'll find it usefull, you can include it in this package as /usr/bin/allmixer

gourdcaptain commented on 2011-04-23 18:14

The package crashes with an error - first, it tries to run with python3, and second, it then if fixed throws a ""ValueError: too many values to unpack".

A fixed version I found online that works alright for me is linked to in this post: http://wiki.marklesh.com/How-to/Asoundconf . You need to alter the #!/usr/bin/python to #!/usr/bin/python2, though. Same #! alteration has to be done to asoundconf-gtk, as well, but that can be done with the version provided here.

Anonymous comment on 2010-10-22 12:06

Here the update PKGBUILD http://pastebin.com/SeYVhwmy

Anonymous comment on 2010-10-19 14:29

it doesn't work with python3(that now is default) so the header sould be changed in #!/usr/bin/env python2